### deferred_async_operation

Encapsulates a deferred asynchronous operation.

    template<
        typename Signature,
        typename Initiation,
        typename... InitArgs>
    class deferred_async_operation

##### Member Functions

Name | Description
--- | ---
deferred_async_operation [constructor] | Construct a deferred asynchronous operation from the arguments to an initiation function object.
detail::index_sequence_for |
operator() | Initiate the asynchronous operation using the supplied completion token.

##### Requirements

Header: `asio/deferred.hpp`

Convenience header: `asio.hpp`